Page MenuHomePhabricator

Ownership of Selenium tests
Closed, ResolvedPublic

Description

Repositorycontact
mediawiki/extensions/CentralAuth@Tgr
mediawiki/extensions/CentralNotice@AndyRussG
mediawiki/extensions/CirrusSearch@dcausse
mediawiki/coreRelease-Engineering-Team @zeljkofilipin
mediawiki/extensions/Echo@SBisson
mediawiki/extensions/Flow@SBisson
mediawiki/extensions/GettingStarted@Mattflaschen-WMF @phuedx
mediawiki/extensions/Math@Physikerwelt
mediawiki/extensions/MobileFrontend@Jdlrobson
mediawiki/extensions/MultimediaViewer@Jdlrobson
mediawiki/extensions/PageTriage@SBisson
mediawiki/extensions/QuickSurveys@Jdlrobson
mediawiki/extensions/RelatedArticles@Jdlrobson
mediawiki/extensions/VisualEditor@Jdforrester-WMF
mediawiki/extensions/WikibaseWikidata @adrianheine
wmde/WikidataBrowserTestsWikidata @adrianheine
mediawiki/extensions/WikiLove@SBisson

Email to wikitech-l@/engineering@:

TLDR: If you care about Selenium tests that run daily, please take ownership of repository (or repositories) that you care about.

Our Selenium tests provide useful feedback, finding problems in several places, when there is something wrong with:

  1. the repository they are testing (broken production or test code),
  2. beta and/or production clusters,
  3. continuous integration.

It is really important that all tests that run daily are green all the time. I have started cleaning up tests (T94150, T128190).

If there is a failure, we have to investigate and fix it as soon as possible, ideally in one business day. To be able to do that, we need contact information for each repository. I have started collecting contact details (T128190) from various sources.

What does taking ownership mean? Your e-mail address will be added to Jenkins job repository configuration and you will receive one e-mail a day per repository and job, but only if there are any failed jobs. In short, if you are an owner of one repository with one job, you will receive 0-2 e-mails a day, depending on the stability of the job. It will be your responsibility to fix the job. If you need help, I will be glad to help.

The contact e-mail address can be one or more people, or a team mailing list. All I need is a reply if I send an e-mail message to that address, without having to be a member of a lot of mailing lists.

Jobs for repositories without contact person will be running while they are passing, and will be deleted when they start failing.

To become a contact person, submit a patch or let me know off-list.

Questions? Comments? Please do let me know.

Željko

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 5 2016, 2:50 PM
zeljkofilipin updated the task description. (Show Details)May 5 2016, 2:51 PM
zeljkofilipin added a subscriber: SBisson.

Change 287094 had a related patch set uploaded (by Zfilipin):
Stephane Bisson is owner of Echo and Flow Selenium jobs

https://gerrit.wikimedia.org/r/287094

Change 287094 merged by jenkins-bot:
Stephane Bisson is owner of Echo and Flow Selenium jobs

https://gerrit.wikimedia.org/r/287094

Jdlrobson updated the task description. (Show Details)May 5 2016, 4:23 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.

Change 287188 had a related patch set uploaded (by Zfilipin):
Stephane Bisson is owner of PageTriage and WikiLove Selenium tests

https://gerrit.wikimedia.org/r/287188

Change 287188 merged by jenkins-bot:
Stephane Bisson is owner of PageTriage and WikiLove Selenium tests

https://gerrit.wikimedia.org/r/287188

Change 287195 had a related patch set uploaded (by Zfilipin):
Jon Robson is owner of MobileFrontend, MultimediaViewer, QuickSurveys and RelatedArticles Selenium tests

https://gerrit.wikimedia.org/r/287195

zeljkofilipin updated the task description. (Show Details)May 6 2016, 1:11 PM
zeljkofilipin added a subscriber: dcausse.

Change 287207 had a related patch set uploaded (by Zfilipin):
David Causse is owner of CirrusSearch Selenium tests

https://gerrit.wikimedia.org/r/287207

Change 287207 merged by jenkins-bot:
David Causse is owner of CirrusSearch Selenium tests

https://gerrit.wikimedia.org/r/287207

Change 287195 merged by jenkins-bot:
MobileFrontend and MultimediaViewer are moved from browsertests* to selenium* jobs.

https://gerrit.wikimedia.org/r/287195

greg updated the task description. (Show Details)May 9 2016, 3:30 PM

Change 287957 had a related patch set uploaded (by Zfilipin):
Do not sent e-mail messages to Jon until jobs are more stable

https://gerrit.wikimedia.org/r/287957

Change 287957 merged by jenkins-bot:
Do not sent e-mail messages to Jon until jobs are more stable

https://gerrit.wikimedia.org/r/287957

JanZerebecki updated the task description. (Show Details)May 11 2016, 1:32 PM
JanZerebecki added a subscriber: adrianheine.

Is it possible to send these test results to an IRC channel rather than email?

@Jdlrobson: sure, for which repositories and to which channel?

@Jdlrobson: sure, for which repositories and to which channel?

#wikipedia-mobile would be great. Especially if it can ping team members when it fails.

#wikipedia-mobile would be great. Especially if it can ping team members when it fails.

MobileFrontend, MultimediaViewer, QuickSurveys and RelatedArticles should ping #wikipedia-mobile?

zeljkofilipin added a subscriber: Jdforrester-WMF.

Change 289220 had a related patch set uploaded (by Zfilipin):
James is owner of selenium-VisualEditor Jenkins job

https://gerrit.wikimedia.org/r/289220

zeljkofilipin added a subscriber: Physikerwelt.

Change 289220 merged by jenkins-bot:
James is owner of selenium-VisualEditor Jenkins job

https://gerrit.wikimedia.org/r/289220

Change 289231 had a related patch set uploaded (by Zfilipin):
Moritz is owner of selenium-Math Jenkins job

https://gerrit.wikimedia.org/r/289231

Change 289231 merged by Zfilipin:
Moritz is owner of selenium-Math Jenkins job

https://gerrit.wikimedia.org/r/289231

mediawiki/extensions/GettingStarted

I thought it was enough to confirm I was listed at T128190: Migration of browsertests* Jenkins jobs to selenium* jobs (which I was).

I have been fixing the GettingStarted failures when they've arisen (which I was already notified about), and will continue doing so.

phuedx updated the task description. (Show Details)May 19 2016, 6:27 PM
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.

@K4-713, @awight: Someone from Fundraising tech should probably claim ownership of CentralNotice.

zeljkofilipin updated the task description. (Show Details)

mediawiki/extensions/GettingStarted

I thought it was enough to confirm I was listed at T128190: Migration of browsertests* Jenkins jobs to selenium* jobs (which I was).

Sorry, I was probably not clear enough. The table in T128190 is the result of my gerrit/phab scraping, the table in this task is what I need populated.

Change 289828 had a related patch set uploaded (by Zfilipin):
Matt and Sam are owners of selenium-GettingStarted job

https://gerrit.wikimedia.org/r/289828

When the table is ready, remember to move it to the wiki. The logical place would be https://www.mediawiki.org/wiki/Developers/Maintainers

Change 289828 merged by jenkins-bot:
Matt and Sam are owners of selenium-GettingStarted job

https://gerrit.wikimedia.org/r/289828

Change 289396 had a related patch set uploaded (by Zfilipin):
Created selenium-Wikidata Jenkins job

https://gerrit.wikimedia.org/r/289396

Change 289396 merged by jenkins-bot:
Created selenium-Wikidata Jenkins job

https://gerrit.wikimedia.org/r/289396

TerraCodes added a comment.EditedMay 23 2016, 4:32 PM

Shouldn't mediawiki/core, mediawiki/extensions/CentralNotice, and mediawiki/extensions/CentralAuth be claimed?

@AndyRussG Want to adopt the CentralNotice tests?

MobileFrontend, MultimediaViewer, QuickSurveys and RelatedArticles should ping #wikipedia-mobile?

@Jdlrobson: just a friendly reminder that I am still waiting for confirmation.

Nemo_bis removed a subscriber: Nemo_bis.May 24 2016, 3:46 PM
zeljkofilipin added a subscriber: Physikerwelt.
greg added a subscriber: greg.Jun 9 2016, 3:49 PM

@AndyRussG Want to adopt the CentralNotice tests?

Yes please :)

AndyRussG updated the task description. (Show Details)Jun 9 2016, 10:20 PM
AndyRussG added a subscriber: Mattflaschen-WMF.
AndyRussG removed a subscriber: Mattflaschen-WMF.

@AndyRussG Want to adopt the CentralNotice tests?

Yes please :)

For sure! Thx and sorry I didn't see this before... ;p

Change 294078 had a related patch set uploaded (by Zfilipin):
Delete selenium-PdfHandler Jenkins job

https://gerrit.wikimedia.org/r/294078

Change 294078 merged by jenkins-bot:
Update selenium* Jenkins jobs so every job has an owner

https://gerrit.wikimedia.org/r/294078

zeljkofilipin closed this task as Resolved.Jun 15 2016, 10:34 AM
greg added a comment.Aug 8 2016, 5:02 PM

This table should migrate to a wiki page on mw.org. @zeljkofilipin ? :)